Bug 88844 - traceback when using special keymaps
traceback when using special keymaps
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-kickstart (Show other bugs)
1.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-14 16:57 EDT by Enrico Scholz
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-21 16:51:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2003-04-14 16:57:57 EDT
escription of problem:

I am using a non-standard keymap named "my". When running ksconfig I get

| $ /usr/sbin/redhat-config-kickstart 
| Traceback (most recent call last):
|   File "/usr/share/redhat-config-kickstart/redhat-config-kickstart.py", line 84, in ?
|     kickstartGui.kickstartGui(file)
|   File "/usr/share/redhat-config-kickstart/kickstartGui.py", line 115, in __init__
|     self.category_view, self.options_notebook, self.kickstartData)
|   File "/usr/share/redhat-config-kickstart/basic.py", line 129, in __init__
|     self.keyboard_combo.entry.set_text(self.keyboard_dict[currentKeymap][0])
| KeyError: my


Version-Release number of selected component (if applicable):

redhat-config-kickstart-2.3.6-4


How reproducible:
100%


Steps to Reproduce:
1. adapt a standard keymap to your needs and name it 'foobar'
2. insert 'KEYTABLE=foobar' into /etc/sysconfig/keyboard
3. run ksconfig


Actual results:

a traceback


Expected results:

no traceback
Comment 1 Brent Fox 2003-04-14 17:00:58 EDT
What is the version of redhat-config-kickstart that you are using?
Comment 2 Enrico Scholz 2003-04-14 17:14:08 EDT
I am citing from my report: ;)

| Version-Release number of selected component (if applicable):
| redhat-config-kickstart-2.3.6-4
Comment 3 Brent Fox 2003-05-21 16:51:52 EDT
Should be fixed in redhat-config-kickstart-2.3.7-1.  It now falls back to 'us'
keymap if the probed one can't be found.

Note You need to log in before you can comment on or make changes to this bug.